Package org.eclipse.m2m.atl.adt.ui.preferences

## Class ModifyDialogTabPage.CheckboxPreference

- java.lang.Object
- - java.util.Observable
  - - org.eclipse.m2m.atl.adt.ui.preferences.ModifyDialogTabPage.Preference
    - - org.eclipse.m2m.atl.adt.ui.preferences.ModifyDialogTabPage.ButtonPreference
      - - org.eclipse.m2m.atl.adt.ui.preferences.ModifyDialogTabPage.CheckboxPreference

Enclosing class:
  ModifyDialogTabPage

    protected final class ModifyDialogTabPage.CheckboxPreference
    extends ModifyDialogTabPage.ButtonPreference

### Constructor Summary

Constructors
`CheckboxPreference​(org.eclipse.swt.widgets.Composite composite, int numColumns, java.util.Map<java.lang.String,​java.lang.String> preferences, java.lang.String key, java.lang.String[] values, java.lang.String text)`

### Method Summary

### Methods inherited from class org.eclipse.m2m.atl.adt.ui.preferences.ModifyDialogTabPage.ButtonPreference

`checkboxChecked, getChecked, getControl, setChecked, updateWidget`

### Methods inherited from class org.eclipse.m2m.atl.adt.ui.preferences.ModifyDialogTabPage.Preference

`getEnabled, getKey, getPreferences, setEnabled, setKey`

### Methods inherited from class java.util.Observable

`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CheckboxPreference

    public CheckboxPreference​(org.eclipse.swt.widgets.Composite composite,
                              int numColumns,
                              java.util.Map<java.lang.String,​java.lang.String> preferences,
                              java.lang.String key,
                              java.lang.String[] values,
                              java.lang.String text)